Waitlist API reference

Waitlist API · Analytics

get/v1/workspaces/{workspace_id}/waitlists/{waitlist_id}/analytics/timelineAuth

Daily sign-up timeline

One point per UTC day in [`since`, `until`), oldest first, zero-count days included. Test entries are left out unless `include_test=true`.

Path parameters

workspace_id*string · uuid

Id of the workspace.

waitlist_id*string · uuid

Id of the waitlist.

Query parameters

since*string · date-time

ISO-8601 inclusive start

until*string · date-time

ISO-8601 exclusive end

include_testboolean

Count test entries ("Add test signup") too. Default `false`: they are left out.

Response · 200 Daily timeline array, oldest first, zero-count days included.

granularity*object

Bucket size; always `day` today.

points*array

Oldest first; every day in [since, until) is present.

Example

Request

GET https://api.waitlist.productcraft.co/v1/workspaces/{workspace_id}/waitlists/{waitlist_id}/analytics/timeline
Authorization: Bearer YOUR_TOKEN

Response

{
  "granularity": {},
  "points": [
    {
      "date": "2026-08-01",
      "count": 0
    }
  ]
}